const mixins = require('@/mixins/index.js')
const util = require('@/utils/util.js')
const Constants = require('@/utils/Constants.js');
const api = require('@/utils/api.js');

const app = getApp()

Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    // 路由
    routeObjName: 'setting',
    companyService: app.globalData['companyService'],
    flgPrimary: false,
    cardList: ['main'],
    contentObj: {
      main: [
        {
          code: 'gradeCode', type: 'tabs', tagList: [
            { name: mixins.$t('standardVersion'), id: Constants.gradeCode.STD },
            { name: mixins.$t('professionalVersion'), id: Constants.gradeCode.PRO }
          ], title: mixins.$t('gradeCode')
        },
        { code: 'cpName', type: 'str', required: 'true', title: mixins.$t('cpName') },
        { code: 'cpManager', type: 'str', required: 'true', title: mixins.$t('cpManager') },
        { code: 'cpPhone', type: 'phone', required: 'true', title: mixins.$t('cpPhone') },
        { code: 'cpSize', type: 'str', title: mixins.$t('cpSize') },
        { code: 'shopSize', type: 'str', title: mixins.$t('shopSize') },
        { code: 'feedback', type: 'textarea', title: mixins.$t('feedback') },
      ],
    },
  },

  onCheckboxChange(e) {
    this.setData({
      flgPrimary: e.detail
    })
  },

  /**
* @desc : 参数设置
* @date : 2024/2/1 15:49
* @author : 姜永辉
*/
  productDetail(e) {
    wx.navigateTo({
      url: this.data.route.productDetail.url,
      events: {
        // 回调后，在这里给页面赋值
        bandData: function (e) {
        }
      },
      success: function (res) {
        // 通过eventChannel向被打开页面传送数据 TODO 测试例子url是写死的，实际中，需要从route中读取
        res.eventChannel.emit('params', {})
      }
    })
  },

  /**
   * @desc : 给表单赋值
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  setValuesByEdit(data) {
    this.setData({
      formData: JSON.stringify(data)
    })
  },



  /**
 * @desc   : 处理数据-查询后的逻辑
 * @author : 姜永辉
 * @date   : 2024/1/26 11:46
 */
  handleLoadData() {
    let data = {
      cpPhone: app.globalData.phoneNumber
    }
    this.setData({
      formData: JSON.stringify(data)
    })
    // 
  },

  /**
    * @desc : 保存的參數設置
    * @date : 2024/2/1 15:49
    * @author : 姜永辉
    */
  setParams(params) {
    params.cpId = null
    params.owner = app.globalData.user.userId // t_wx_user 表的id
    if (params.gradeCode == null) {
      params.gradeCode = Constants.gradeCode.STD
    }
    return params
  },

  /**
  * @desc : 保存数据服务
  * @date : 2024/2/1 15:49
  * @author : 姜永辉
  */
  saveData() {
    return this.excute(this.data.companyService, this.data.companyService.registerCompany, this.data.params);
  },

  /**
  * @desc : 保存数据服务--校验
  * @date : 2024/2/1 15:49
  * @author : 姜永辉
  */
  validData() {
    if (!this.data.flgPrimary) {
      util.showToast('请勾选条款');
      return false
    }
    return true
  }
})
